Beginnen Makros mit einem der folgenden Strings:

  `--AppleScript`

oder

  `--AppleScript`

wird der resultierende AppleScript Code ausgeführt, wenn das Makro gestartet wird. Nehmen wir zum Beispiel ein Makro mit dem Titel „pdf-Datei mit Acrobat Reader öffnen“ Wird dieses Makro ausgeführt, wenn die Quelltext-Datei aktiviert ist (und die pdf-Datei erstellt wurde), so startet der Adobe Acrobat Reader und die pdf-Ausgabe-Datei wird in diesem Programm angezeigt. Der dazu gehörige AppleScript Code lautet:

  `--AppleScript`
  `tell application "Acrobat Reader 5.0"`
    `activate`
    `open POSIX file #PDFPATH#`
  `end tell`

Befehle, die mit „--AppleScript direct“ beginnen, werden direkt von TeXShop ausgeführt. Während das Applescript ausgeführt wird, ist TeXShop untätig, d.h. seine Event-Loop wird nicht ausgeführt. Daher kann auch während der Ausführung TeXShop nicht aufgerufen werden um z.B. Benutzereingaben zu ermöglichen. So kann auch TeXShop vom Skript nicht aufgefordert werden LaTeX auszuführen, da dieses bei einem eventuellen Fehler den Benutzer zu einer Benutzereingabe in der Fehlerkonsole aufforern würde. Eine solche Eingabe würde aber auf Grund der fehlenden Event-Loop nicht erkannt.

Befehle, die mit „--AppleScript“ beginnen, werden durch kleine Hilfsprogramme in TeXShop ausgeführt. HIerbei können die Applescripts auch TeXShop auffordern gewisse Funktionen auszuführen, da bei etwaigen Benutzereingaben das Hilfsprogramm zwar gestoppt wird, TeXShop selbst aber weiter läuft.

Daher ist es empfehlenswert die Syntax „--AppleScript direct“ für Routineskripte zu verwenden und „--AppleScript“ für Skripte umfangreicherer Art.

Hilfe zu Makros
AppleScript Makros